---
search:
  tags:
    - Variants
    - POST
seo:
  description: >-
    … Reference for the POST
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/stock/{warehouse_slug}/diff
    endpoint in the Management API.
sidebar:
  label: Adjust variant stock by delta
  badge: POST
title: Adjust variant stock by delta
type: openapi-operation
---
Adjusts the stock quantity for a variant in a specific warehouse by adding or subtracting the provided delta value

`POST /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/stock/{warehouse_slug}/diff`

**Request body** (`application/json`, required)

Variant stock diff data

- `delta` (integer)

Request body example:

```json
{
  "delta": 0
}
```

**Responses**

- `200` — Warehouse stock for variant updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error or stock can't be negative)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "available_online": true,
    "created_at": "string",
    "id": "string",
    "inventory_date": "string",
    "quantity": 0,
    "updated_at": "string",
    "warehouse_name": "string",
    "warehouse_slug": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
